Bug 238364 - ppc compose needs ppc64 systemtap{,-runtime}
ppc compose needs ppc64 systemtap{,-runtime}
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-29 16:43 EDT by Frank Ch. Eigler
Modified: 2013-01-09 20:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-30 17:46:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2007-04-29 16:43:08 EDT
In order to run systemtap, it needs to be built with the same "bitness"
as the target kernel.  For the typical ppc64 kernel, we need the ppc64
build of systemtap{,-runtime} in the compose, and not the ppc variant.

(The same packaging glitch was fixed for RHEL* recently.)

This problem also appears in fc7 test releases.
Comment 1 Jesse Keating 2007-04-29 17:42:29 EDT
David?
Comment 2 David Woodhouse 2007-04-29 18:01:07 EDT
I know nothing of systemtap but I expect Frank is speaking truth. Can we add it
to the whitelist so it's included in the compose?

After F7 release we can do cunning things like making the 32-bit systemtap
conflict with a virtual 'CPU.ppc64' -- but just having it available will suffice
for now, right?
Comment 3 Jesse Keating 2007-04-29 18:14:08 EDT
Yes, but with your rpm patch, the 32bit binary will win if both are installed,
and thus not usable.  Both have to be available as the 64bit systemtap won't
even install on a ppc32 install.
Comment 4 David Woodhouse 2007-04-29 18:50:51 EDT
True, but a 64-bit user can just remove the 32-bit version and reinstall the
64-bit version. It's not perfect, but overall the situation (with the RPM patch)
is a lot better than it was before. And just having the 64-bit systemtap
_available_ for installation is an improvement over F7t4.

After F7 we can make the 32-bit version conflict with either a virtual CPU.ppc64
or just with kernel-ppc64. We don't want to go there yet though. (I'll file the
yum bug in a moment).

FWIW I had this problem with kexec-tools too. My preferred fix was just to make
the 32-bit userspace work with the 64-bit kernel :)
Comment 5 Jesse Keating 2007-04-30 17:46:04 EDT
I've added systemtap(-runtime) for the ppc64 multilib whitelist.

Note You need to log in before you can comment on or make changes to this bug.